Skip to main content
DELETE
/
1
/
indexes
/
{indexName}
/
{model}
/
recommend
/
rules
/
{objectID}
curl
curl --request DELETE \
  --url https://algolia_application_id.algolia.net/1/indexes/ALGOLIA_INDEX_NAME/related-products/recommend/rules/test-record-123 \
  --header 'accept: application/json' \
  --header 'x-algolia-api-key: ALGOLIA_API_KEY' \
  --header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID'
{
  "deletedAt": "2023-06-27T14:42:38.831Z",
  "taskID": 1514562690001
}

Documentation Index

Fetch the complete documentation index at: https://algolia.com/llms.txt

Use this file to discover all available pages before exploring further.

Required ACL: editSettings

Authorizations

x-algolia-application-id
string
header
required

Your Algolia application ID.

x-algolia-api-key
string
header
required

Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.

Path Parameters

indexName
string
required

Name of the index on which to perform the operation.

Example:

"ALGOLIA_INDEX_NAME"

model
enum<string>
required
Available options:
related-products,
bought-together,
trending-facets,
trending-items
objectID
string
required

Unique record identifier.

Example:

"test-record-123"

Response

OK

Response, taskID, and deletion timestamp.

deletedAt
string
required

Date and time when the object was deleted, in RFC 3339 format.

Example:

"2023-06-27T14:42:38.831Z"

taskID
integer<int64>
required

Unique identifier of a task.

A successful API response means that a task was added to a queue. It might not run immediately. You can check the task's progress with the task operation and this task ID.

Example:

1514562690001

Last modified on March 23, 2026